<?php 

//incluir la conexion de base de datos
require "../config/Conexion.php";
// declaration
class Relacionzonaysubzona{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($idzona,$idsubzona){
	$sql="INSERT INTO relacionzonaysubzona (idzona,idsubzona) VALUES ('$idzona','$idsubzona')";
  //  echo $sql;
    return ejecutarConsulta($sql);
}

public function editar($idrelacionzonaysubzona,$idzona,$idsubzona){
	$sql="UPDATE relacionzonaysubzona SET idzona='$idzona',idsubzona='$idsubzona'	WHERE idrelacionzonaysubzona='$idrelacionzonaysubzona'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idrelacionzonaysubzona){
	$sql="DELETE FROM relacionzonaysubzona WHERE idrelacionzonaysubzona='$idrelacionzonaysubzona'";
	return ejecutarConsulta($sql);
}

public function desactivar($idrelacionzonaysubzona){
	$sql="UPDATE relacionzonaysubzona SET condicion='0' WHERE idrelacionzonaysubzona='$idrelacionzonaysubzona'";
	return ejecutarConsulta($sql);
}

public function activar($idrelacionzonaysubzona){
	$sql="UPDATE relacionzonaysubzona SET condicion='1' WHERE idrelacionzonaysubzona='$idrelacionzonaysubzona'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idrelacionzonaysubzona){
	$sql="SELECT * FROM relacionzonaysubzona WHERE idrelacionzonaysubzona='$idrelacionzonaysubzona'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM subzona WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM subzona WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarg(){
	$sql="SELECT * FROM subzona WHERE tipo_persona='Gerente'";
	return ejecutarConsulta($sql);
}
public function listarv(){
	$sql="SELECT * FROM subzona";
  //echo $sql;
	return ejecutarConsulta($sql);
}

public function listar(){
	$sql="SELECT r.idrelacionzonaysubzona,r.idzona,z.nombre as zona,r.idsubzona, s.nombre as subzona,r.condicion FROM relacionzonaysubzona r LEFT JOIN zona z ON z.idzona=r.idzona LEFT JOIN subzona s ON s.idsubzona=r.idsubzona";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}
}

?>
